Subject: [Mip4] [Errata Verified] RFC5944 (4133)

From: RFC Errata System <[email-masked]>
Date: Tue, 21 Oct 2014 09:47:53 -0700 (PDT)

The following errata report has been verified for RFC5944,
"IP Mobility Support for IPv4, Revised". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5944&eid=4133

--------------------------------------
Status: Verified
Type: Editorial

Reported by: Jack Martin <[email-masked]>
Date Reported: 2014-10-17
Verified by: Brian Haberman (IESG)

Section: 1.10

Original Text
-------------
This format is applicable for non-skippable extensions that carry
information of more that 256 bytes.
.
.
.
Since the Length field is 16 bits wide, the extension data can exceed
256 bytes in length.

Corrected Text
--------------
This format is applicable for non-skippable extensions that carry
information of more that 254 bytes.
.
.
.
Since the Length field is 16 bits wide, the extension data can exceed
254 bytes in length.

Notes
-----
Since the short extension form defined in section 1.11 can only carry up to 254 bytes of data, all extensions with 255 or more bytes needs to use the long extension.

--------------------------------------
RFC5944 (draft-ietf-mip4-rfc3344bis-10)
--------------------------------------
Title               : IP Mobility Support for IPv4, Revised
Publication Date    : November 2010
Author(s)           : C. Perkins, Ed.
Category            : PROPOSED STANDARD
Source              : Mobility for IPv4
Area                : Internet
Stream              : IETF
Verifying Party     : IESG